from setuptools import setup, find_packages

setup(
    name='llm_error_handler',
    version='0.1.1',
    packages=find_packages(),
    description='A simple decorator for AI error handling in Python.',
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    author='Shoichi',
    author_email='s.kitano.h050521@gmail.com',
    url='https://github.com/shokitano0521/LLM-Error-Handler',
    license='MIT',
    install_requires=[
        'annotated-types==0.7.0',
        'anyio==4.4.0',
        'cachetools==5.3.3',
        'certifi==2024.6.2',
        'charset-normalizer==3.3.2',
        'distro==1.9.0',
        'exceptiongroup==1.2.1',
        'google-ai-generativelanguage==0.6.4',
        'google-api-core==2.19.0',
        'google-api-python-client==2.133.0',
        'google-auth==2.30.0',
        'google-auth-httplib2==0.2.0',
        'google-generativeai==0.6.0',
        'googleapis-common-protos==1.63.1',
        'grpcio==1.64.1',
        'grpcio-status==1.62.2',
        'h11==0.14.0',
        'httpcore==1.0.5',
        'httplib2==0.22.0',
        'httpx==0.27.0',
        'idna==3.7',
        'numpy==1.26.4',
        'openai==1.30.1',
        'pillow==10.3.0',
        'proto-plus==1.23.0',
        'protobuf==4.25.3',
        'pyasn1==0.6.0',
        'pyasn1_modules==0.4.0',
        'pydantic==2.7.3',
        'pydantic_core==2.18.4',
        'pyparsing==3.1.2',
        'regex==2024.5.15',
        'requests==2.32.3',
        'rsa==4.9',
        'sniffio==1.3.1',
        'tiktoken==0.7.0',
        'tqdm==4.66.4',
        'typing_extensions==4.12.2',
        'uritemplate==4.1.1',
        'urllib3==2.2.1'
    ],
    classifiers=[
        'Programming Language :: Python :: 3',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ],
    python_requires='>=3.6',
)